#!/bin/bash
# Parallel job submission script:
# Usage: qsub  <this_script>
#
# The shell used to run the job
#$ -S /bin/bash
#
# Define the parallel runtime environment and number of nodes
# NB: number of nodes is one more than needed as one copy resideson the master node
#$ -pe mpi 16
#
#Define the maximum runtime
#$ -l h_rt=20:00:00
#
# Use location that job was submitted as working directory
#$ -cwd
#
# Export all environment variables to the slave jobs
#$ -V
#
# Put stdout & stderr into the same file
#$ -j y
#
# The name of the SGE logfile for this job
#$ -o gamess.log

# run the job:
# scout is the SCORE remote shell runtime environment
# -wait: wait until all remote hosts are locked via MessageBoard (msgbserv)
# -F specify file in which the host names are listed line by line (created by SGEEEE)
# -e create scout enviroment (final command of scout)
#  /tmp/scrun.$JOB_ID is a symbolic link to
# /opt/score/bin/bin.i386-redhat7-linux2_4/scrun.exe
# All options which follow are those of scrun:
# -nodes NSLOTS will be one more than number of nodes as one
# resides on the master node; There are also 2 CPUs per node.
# Final command is the executable to be run

input=dft-si9h12
output=dft-si9h12.out
export GMSPATH=/home/softwares/gamess
source $GMSPATH/gms-files.sh
export TARGET=sockets
#export MPI_KICKOFF_STYLE=hydra
export DDI_MPI_ROOT=/home/softwares/intel_2018/impi/2018.3.222/intel64
export PPN=1
exe="/home/softwares/gamess/gamess.02.x"
module load intel-compiler-2018
source /home/softwares/intel_2018/bin/compilervars.sh intel64
source /home/softwares/intel_2018/impi/2018.3.222/intel64/bin/mpivars.sh
export NCPUS=$NSLOTS
#mpirun -verbose -iface ib0 -np $NSLOTS $exe $input > $output
/home/softwares/gamess/rungms $input 01 $NSLOTS 1 > /dev/null 2> /dev/null
mpiexec -iface ib0 -n $NSLOTS /home/softwares/gamess/gamess.01.x $input $NSLOTS 1

